#!/usr/bin/env node

const program = require('commander');
const download = require('download-git-repo');

program
    .version(require('../package').version)
    .command('create <projectName>')
    .description("创建项目")
    .action(projectName => {
      download(
        'https://gitee.com/wyuuu/wyu-vue.git',
        projectName,
        { clone: true },
        function (err) {
            console.info(err ? err : "Success!")
        }
      )
    })
